using ASHermed.SinoInterface.Api.ContractModel;
using System;
using System.Collections.Generic;
using System.Text;

namespace ASHermed.SinoInterface.Api.IRepository
{
    public interface IOnlineOrderSourceRepository
    {
        int CreateOrder(Online_Order_Source order);
        Online_Order_Source GetOrderSource(string orderNo);
        List<string> GetCancelOrderSource();
        int UpdateOrderSourceStatus(string orderNo, int status, string payWay, decimal payPrice);
        int PerfPayInfoByNo(string orderNo, string PayType, string payTime, string tradeNo, string tradeStatus);
    }
}
